Safari for 10.5

lzooml

macrumors newbie
Original poster
Jan 21, 2012
17
0
3.0.4 version is what came with Leopard installation.
Wanted to update it but couldn't find an option for this on safari preferences.
Well, then downloaded latest version for Leopard, but this requires 10.5.8
So, where can I get the latest version for 10.5 ?
Couldn't find any link on apple's page.
 

maflynn

Moderator
Staff member
May 3, 2009
66,947
33,945
Boston
Did you run Software update?

That should get your mac update to date on the OS you have. If you don't see any further updates for Safari, then you probably cannot go any further as newer versions of safari require Snow Leopard and/or Lion
 

Gregg2

macrumors 603
May 22, 2008
6,107
521
Milwaukee, WI
I'm running OS 10.5.8 and using Safari 5.0.6

I'd suggest downloading the OSX 10.5.8 Combo Updater and then the above version of Safari.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.